{-# LANGUAGE RecordWildCards #-}

module Biobase.TrainingData.Manip where

import Biobase.Secondary.PseudoKnots

import Biobase.TrainingData



-- | Left elements are filtered out, Right elements are kept.

type TDmanip = Either TrainingData TrainingData

-- | Remove pseudoknots from 'TrainingData'.

removePK rpk td@TrainingData{..}
  | not rpk   = td
  | otherwise = td{secondary = removeByCounting secondary}
